Files
igncore/dummy.start.sh
Minidodo 2d7ecf4883 Added afk/brb
Timer messages ("Timer XX has yyy left") now get resumed after a bot restart
Alliance relay is discord compatible now. [Orgbot]
2021-10-26 22:35:31 +02:00

18 lines
376 B
Bash

#!/usr/bin/env bash
#PYTHON_BINARY=python3
#if ! [ -x "$(command -v $PYTHON_BINARY)" ]; then
# PYTHON_BINARY=python
#fi
source venv/bin/activate
python --version
set -o pipefail -o errexit
# The bot uses non-zero exit codes to signal state.
# The bot will restart until it returns an exit code of zero.
while true; do
python bootstrap.py "$1" && exit
sleep 1
done